petsc-3.6.2 2015-10-02
Report Typos and Errors

# ISGeneralSetIndices

Sets the indices for an ISGENERAL index set

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGeneralSetIndices(IS is,PetscInt n,const PetscInt idx[],PetscCopyMode mode)

Collective on IS

### Input Parameters

| is | - the index set
| n | - the length of the index set
| idx | - the list of integers
| mode | - see PetscCopyMode for meaning of this flag.

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

Level:beginner
Location:src/vec/is/is/impls/general/general.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages